import titleBg from '@/assets/images/map-infowindow-title-bg.png'

/**
 * 
 * @param {*} array 数据
 * @param {*} qx 指定的区县
 * @param {*} field 区域字段
 */
export function toFirst(array, qx, field) {
  if (!array) new Error("数组不存在")
  if (qx === "重庆市") {
    return array;
  }
  const idx = array.findIndex(item => item[field] === qx);
  if (idx > 0) {
    // 深拷贝
    const tempItem = JSON.parse(JSON.stringify(array[idx]))
    // 移除这个节点
    array.splice(idx, 1)
    array = [tempItem, ...array]
    return array;
  }
  return array;
}



const citys = [
  "万州区",
  "涪陵区",
  "渝中区",
  "大渡口区",
  "江北区",
  "沙坪坝区",
  "九龙坡区",
  "南岸区",
  "北碚区",
  "綦江区",
  "大足区",
  "渝北区",
  "巴南区",
  "黔江区",
  "长寿区",
  "江津区",
  "合川区",
  "永川区",
  "南川区",
  "璧山区",
  "铜梁区",
  "潼南区",
  "荣昌区",
  "开州区",
  "梁平区",
  "武隆区",
  "城口县",
  "丰都县",
  "垫江县",
  "忠县",
  "云阳县",
  "奉节县",
  "巫山县",
  "巫溪县",
  "石柱土家族自治县",
  "秀山土家族苗族自治县",
  "酉阳土家族苗族自治县",
  "彭水苗族土家族自治县"
]

// 向上取整
export function formatInt (num, prec = 2, ceil = true) {
  // num：数值；prec：向上取整多少位，默认为2位；ceil：true-向上，false-向下；
  const len = String(num).length;
  if (len <= prec) { return num }
	const mult = Math.pow(10, prec);
  return ceil ? Math.ceil(num / mult) * mult : Math.floor(num / mult) * mult;
}
/**
 * 向上取正百数
 * @param {*} num 
 * @returns 
 */
export function toInt(num) {
  if (num < 10) {
    return 10;
  } else {
    const temp = `${num}`
    return formatInt(temp, temp.length - 1)
  }
}
/**
 * 填充区县数据
 */
export const formatCityData = (data) =>  {
  return citys.map(item => {
    let temp = data.find(i => i.name === item)
    return temp ? temp : {
      name: item,
      value: 0
    }
  })
}


export function createMapChartWindowInfo(ctx, render) {
  return `<div>
    <div style="background: url('${titleBg}') center center no-repeat;
    color: #ffb800;font-size: 16px;
    font-style: normal;
    font-weight: 400;padding: 5px;">${ctx.title}</div>
    <div style="padding: 5px;" >${render()}</divs>
  </div>`;
}
